import os

def is_picture(entry):
    """Return True if DirEntry is a picture"""
    extension = ("jpg","png")
    for ext in extension:
        if entry.name.endswith('.'+ext):
            return True
    return False

def get_pictures(path):
    """Scan directory for pictures return DirEntry list of files"""
    pictures = []
    with os.scandir(path) as it:
        for entry in it:
            if not entry.name.startswith('.') \
                    and entry.is_file(follow_symlinks=False) \
                    and is_picture(entry):
                pictures.append(entry)
    return pictures
